#!/usr/bin/python
# -*- coding: utf-8 -*-
# graafika.py

import pygame, sys
from pygame.locals import *
import random
import galaktika
import nupud
import sisu

class Menuu():
    ekraan = 0
    
    def __init__(self,  ekraan):
        self.ekraan=ekraan
    
    def tsykkel(self):
        kell = pygame.time.Clock()
        mangu_nupp = nupud.Nupp(500, 500, 60, 30, "Mangu",   (240, 10, 10))
        valja_nupp = nupud.Nupp(500, 540, 60, 30, "Valja",   (240, 10, 10))
        otsus = 0
        while (otsus==0):
            for event in pygame.event.get():
                if event.type == QUIT:
                    pygame.quit()
                    sys.exit()
                elif event.type == KEYDOWN:
                    if event.key == K_ESCAPE:
                        pygame.quit()
                        sys.exit()
                elif event.type == MOUSEBUTTONUP:
                    if (valja_nupp.pihtas()) :
                        print "pihtas valjul"
                        otsus=2
                    if (mangu_nupp.pihtas()):
                        print "pihtas mangul"
                        otsus=1
            self.ekraan.lock()
            pygame.draw.rect(self.ekraan,  mangu_nupp.varv,  mangu_nupp.ristkylik)
            pygame.draw.rect(self.ekraan,  valja_nupp.varv,  valja_nupp.ristkylik)
            self.ekraan.unlock()
            kiri = pygame.font.Font(None, 24)
            self.ekraan.blit(kiri.render(valja_nupp.tekst, 1, (110, 210, 10)), valja_nupp.ristkylik)
            self.ekraan.blit(kiri.render(mangu_nupp.tekst, 1, (110, 210, 10)), mangu_nupp.ristkylik)
            pygame.display.set_caption("FPS: %.2f " % (kell.get_fps()))
            #pygame.display.update()
            pygame.display.flip()
        self.ekraan.fill((0, 0, 0))
        return otsus
    

class Manguvali():
    ekraan = 0
    
    def __init__(self,  ekraan):
        self.ekraan=ekraan
  
    def tsykkel(self):
        def taheke(x,  y,  s):
            x*=5
            y*=5
            n=int((1+s)/3)
            return ((x-s, y),(x-n, y-n), (x, y-s), (x+n,  y-n),  (x+s, y),  (x+n, y+n),  (x, y+s),  (x-n, y+n))
        #kell = pygame.time.Clock()
        FPS = 30
	minupilt = pygame.image.load("taust.jpg")
        minupilt = minupilt.convert()
        taust =  minupilt.copy()
        msisu = sisu.Mangusisu()
        varv1 =  (255, 220, 33)
        varv2 =  (155, 220, 33) 
        kribavarv=(140, 140, 230)
        valja_nupp = nupud.Nupp(10, 560, 90, 30, "Valja",   (240, 10, 10))
        otsus=0
        while (otsus==0):
            #milliseconds = kell.tick(FPS)
            for event in pygame.event.get():
                if event.type == QUIT:
                    pygame.quit()
                    sys.exit()
                elif event.type == KEYDOWN:
                    if event.key == K_ESCAPE:
                        pygame.quit()
                        sys.exit()
                elif event.type == MOUSEBUTTONUP:
                    if (valja_nupp.pihtas()) :
                        otsus=2
            self.ekraan.blit(minupilt, (0,0)) #siia pildi lisamine ;)
            #self.ekraan.lock()
            pygame.draw.rect(self.ekraan, kribavarv,  Rect((610,  10),  (180, 580)))
            pygame.draw.rect(self.ekraan,  valja_nupp.varv,  valja_nupp.ristkylik)
            for taht in msisu.tahed():
                if (taht.suurus<5) :
                   pygame.draw.polygon(self.ekraan, taht.varv , taheke(taht.annaX(),taht.annaY(), 3+taht.suurus))
                else :
                   pygame.draw.polygon(self.ekraan, taht.varv , taheke(taht.annaX(),taht.annaY(), 2+random.randint(1, 3)))
            #self.ekraan.unlock()
            kiri = pygame.font.Font(None, 24)
            tekst = kiri.render(valja_nupp.tekst, 1, (110, 210, 10))
            self.ekraan.blit(tekst, valja_nupp.ristkylik)
            pygame.display.update()
            #pygame.display.set_caption("FPS: %.2f " % (kell.get_fps()))
            #pygame.display.flip()
